Bug 12396 - smbd_cleanupd_process_exited: got 0 cleanup events, expected at least 1
smbd_cleanupd_process_exited: got 0 cleanup events, expected at least 1
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-28 14:24 UTC by Tom Schulz
Modified: 2017-01-10 08:19 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 4.5 cherry-picked from master (1.09 KB, patch)
2016-12-29 12:17 UTC, Ralph Böhme
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2016-10-28 14:24:41 UTC
For Samba 4.5.1 the log.smb file fills up with the following messages:

[2016/10/27 14:14:32.368885,  0] ../source3/smbd/smbd_cleanupd.c:172(smbd_cleanupd_process_exited)
  smbd_cleanupd_process_exited: got 0 cleanup events, expected at least 1

The following patch was applied to master. Please back port to 4.5.next.


From cce1fe8a361a1c177642c7be3835c008f6cc59b2 Mon Sep 17 00:00:00 2001
From: Ralph Boehme <slow at samba.org>
Date: Fri, 16 Sep 2016 12:48:39 +0200
Subject: [PATCH] s3/smbd: remove a misleading error message

It can happen that we get 0 cleanup events, so remove this error
message.

Signed-off-by: Ralph Boehme <slow at samba.org>
---
 source3/smbd/smbd_cleanupd.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/source3/smbd/smbd_cleanupd.c b/source3/smbd/smbd_cleanupd.c
index 0deb8b0..152f63c 100644
--- a/source3/smbd/smbd_cleanupd.c
+++ b/source3/smbd/smbd_cleanupd.c
@@ -169,7 +169,6 @@ static void smbd_cleanupd_process_exited(struct messaging_context *msg,
 	}
 
 	if (ret == 0) {
-		DBG_ERR("got 0 cleanup events, expected at least 1\n");
 		TALLOC_FREE(frame);
 		return;
 	}
-- 
2.7.4
Comment 1 James Andrew 2016-11-18 19:18:44 UTC
smbd_cleanupd_process_exited: got 0 cleanup events, expected at least 1
 04:35:23.155052, 0, pid=1357, effective(0, 0), real(0, 0)] ../source3/smbd/smbd_cleanupd.c:172(smbd_cleanupd_process_exited)

I have the same issue using Samba 4.5.1 on Ubuntu 12.04.5LTS
Comment 2 Tom Schulz 2016-11-22 14:54:33 UTC
For 4.5.2 ?
Comment 3 Tom Schulz 2016-12-27 18:46:00 UTC
For 4.5.4 ?
Comment 4 Ralph Böhme 2016-12-29 12:17:27 UTC
Created attachment 12780 [details]
Patch for 4.5 cherry-picked from master
Comment 5 Andreas Schneider 2017-01-02 10:13:22 UTC
Karolin, please add the patch to 4.5. Thanks!
Comment 6 André Janna 2017-01-02 13:25:42 UTC
Same issue here using Samba 4.5.2 on Debian Stretch.

[2017/01/02 10:56:00.066002,  0] ../source3/smbd/smbd_cleanupd.c:172(smbd_cleanupd_process_exited)
  smbd_cleanupd_process_exited: got 0 cleanup events, expected at least 1
Comment 7 Karolin Seeger 2017-01-09 07:57:59 UTC
(In reply to Andreas Schneider from comment #5)
Pushed to autobuild-v4-5-test.
Comment 8 Karolin Seeger 2017-01-10 08:19:18 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-5-test.
Closing out bug report.

Thanks!